Package org.osgi.framework.wiring.dto

# Class FrameworkWiringDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.framework.wiring.dto.FrameworkWiringDTO

public class FrameworkWiringDTO extends DTO
Data Transfer Object for the wiring graph of the framework.

The system bundle can be adapted to provide the `FrameworkWiringDTO`. Only the system bundle can be adapted to a `FrameworkWiringDTO` object

Since:
  1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`Set<BundleRevisionDTO>`
`resources`
The set of resources referenced by the wiring graph of the framework.
`Set<BundleWiringDTO.NodeDTO>`
`wirings`
The set of wiring nodes referenced by the wiring graph of the framework.

## Constructor Summary

Constructors
Constructor
Description
`FrameworkWiringDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### wirings

public Set<BundleWiringDTO.NodeDTO> wirings
The set of wiring nodes referenced by the wiring graph of the framework.

All wiring nodes referenced by wiring node identifiers in the wiring graph are contained in this set.

### resources

public Set<BundleRevisionDTO> resources
The set of resources referenced by the wiring graph of the framework.

All resources referenced by resource identifiers in the wiring graph are contained in this set.

## Constructor Details

### FrameworkWiringDTO

public FrameworkWiringDTO()